> For the complete documentation index, see [llms.txt](https://proweblook.gitbook.io/proweblook-help-desk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://proweblook.gitbook.io/proweblook-help-desk/api-docs/check-wa-number-api.md).

# Check WA Number API

## Request&#x20;

```
// Curl
curl --location 'https://proweblook.com/api/v1/checkwanumber?number=Number%20with%20country%20code&api_key=your%20proweblook%20api%20key'


```

## &#x20;                                  OR

## Check WA Number

<mark style="color:blue;">`GET`</mark> `https://proweblook.com/api/v1/checkwanumber`

To check whether number exists or not in whatsapp.

#### Request Body

| Name                                       | Type   | Description                    |
| ------------------------------------------ | ------ | ------------------------------ |
| number<mark style="color:red;">\*</mark>   | string | Phone Number with country code |
| api\_key<mark style="color:red;">\*</mark> | string | Your Proweblook api key        |

## Response

```
{"balance":1003,"status":true,"numberstatus":true,"businessnumber":false}
```
